Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class NonEmptyScEncrypt

    java.lang.Object
      com.stc.eways.batchext.NonEmptyScEncrypt

    public class NonEmptyScEncrypt

extends java.lang.Object

Performs encryption / decription using a single key

Author:
  Robert Frank-Thompson (ported to Java by Andrea Joy Spilholtz)

Nested Class Summary
`static class` | `NonEmptyScEncrypt.ScSCrypt` INNER CLASS

Constructor Summary
`NonEmptyScEncrypt()`

Method Summary
`static java.lang.String` | `decrypt(java.lang.String key, java.lang.String data)` Decrypt.
`static java.lang.String` | `encrypt(java.lang.String key, java.lang.String data)` Encrypt.
`static void` | `main(java.lang.String[] args)` Main driver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonEmptyScEncrypt

    public NonEmptyScEncrypt()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main driver.

  Parameters:
    `args` - arguments.
  Throws:
    `java.lang.Exception` - on error.

### decrypt

    public static java.lang.String decrypt(java.lang.String key,
                                           java.lang.String data)
                                    throws java.lang.Exception

  Decrypt.

  Parameters:
    `key` - key.
    `data` - data
  Returns:
    decrypted string.
  Throws:
    `java.lang.Exception` - on error.

### encrypt

    public static java.lang.String encrypt(java.lang.String key,
                                           java.lang.String data)

  Encrypt.

  Parameters:
    `key` - key
    `data` - data
  Returns:
    encrypted string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD